Bug 1165282 - mock-1.2.1-1.el6 update causes syntax error in bash_completion
Summary: mock-1.2.1-1.el6 update causes syntax error in bash_completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1166512 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-18 18:07 UTC by Tuomo Soini
Modified: 2015-02-20 00:33 UTC (History)
7 users (show)

Fixed In Version: mock-1.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-16 09:50:17 UTC


Attachments (Terms of Use)
Proposed patch for mock bash_completion syntax error (996 bytes, patch)
2014-11-18 18:07 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2014-11-18 18:07:59 UTC
Created attachment 958686 [details]
Proposed patch for mock bash_completion syntax error

Description of problem:

mock-1.2.1-1.el6 update causes following syntax error:

-bash: /etc/bash_completion.d/mock: line 40: syntax error near unexpected token `--mount'
-bash: /etc/bash_completion.d/mock: line 40: `        --mount)'

Attached patch (against git version) fixes the problem.

Comment 1 Miroslav Suchý 2014-11-18 21:53:29 UTC
Commited as 4d623c7

Thanks for contribution.

Comment 2 Miroslav Suchý 2014-11-21 10:24:24 UTC
*** Bug 1166512 has been marked as a duplicate of this bug. ***

Comment 3 Miroslav Suchý 2015-01-16 09:50:17 UTC
This somehow slipped from my list. This is already in mock-1.2.3

Comment 4 Fedora Update System 2015-01-16 09:56:52 UTC
mock-1.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc21

Comment 5 Fedora Update System 2015-01-16 09:57:27 UTC
mock-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc20

Comment 6 Fedora Update System 2015-01-16 10:01:14 UTC
mock-1.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el7

Comment 7 Fedora Update System 2015-01-16 10:01:52 UTC
mock-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el6

Comment 8 Fedora Update System 2015-01-21 23:09:16 UTC
mock-1.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-27 03:04:44 UTC
mock-1.2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-28 15:20:56 UTC
mock-1.2.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el7

Comment 11 Fedora Update System 2015-01-28 15:22:06 UTC
mock-1.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el6

Comment 12 Fedora Update System 2015-01-28 15:23:21 UTC
mock-1.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc20

Comment 13 Fedora Update System 2015-01-28 15:24:28 UTC
mock-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc21

Comment 14 Fedora Update System 2015-02-02 17:22:38 UTC
mock-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-02-03 04:42:35 UTC
mock-1.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el6

Comment 16 Fedora Update System 2015-02-03 04:43:12 UTC
mock-1.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el7

Comment 17 Fedora Update System 2015-02-03 04:43:34 UTC
mock-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc20

Comment 18 Fedora Update System 2015-02-03 04:44:25 UTC
mock-1.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc21

Comment 19 Fedora Update System 2015-02-09 05:29:42 UTC
mock-1.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-02-15 02:55:41 UTC
mock-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-20 00:33:05 UTC
mock-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-02-20 00:33:56 UTC
mock-1.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.